// http://www.garyc40.com/2010/03/how-to-make-shortcodes-user-friendly/
// closure to avoid namespace collision
(function(){
	// creates the plugin
	tinymce.create('tinymce.plugins.pmill_csit_tmce_button', {
		init : function(ed, url) {			
			 tinymce.plugins.pmill_csit_tmce_button.theurl = pmill_csit_object.plugin_dir;
			 var plugin_name = pmill_csit_object.plugin_name;

			// Register buttons
			ed.addButton('pmill_csit_tmce_button', {title : 'Add '+ plugin_name +' button', cmd : 'mcebutton', image: tinymce.plugins.pmill_csit_tmce_button.theurl + 'modules/images/csit_icon.png',
			onclick: function() {
				ed.windowManager.open({
					file : tinymce.plugins.pmill_csit_tmce_button.theurl + 'modules/editor-dialog-3.0.php', // file that contains HTML for our modal window
					width : 520 + parseInt(ed.getLang('button.delta_width', 0)), // size of our window
					height : 200 + parseInt(ed.getLang('button.delta_height', 0)), // size of our window
					inline : 1
				}, {
					plugin_url : tinymce.plugins.pmill_csit_tmce_button.theurl
				});
			}
			});
		},		
		
		getInfo : function() {
			return {
				longname : 'Cloud Save It',
				author : 'Lynette Chandler',
				authorurl : 'http://techbasedmarketing.com',
				infourl : 'http://techbasedmarketing.com',
				version : tinymce.majorVersion + "." + tinymce.minorVersion
			};
		}
		
	});
	
	// registers the plugin. DON'T MISS THIS STEP!!!
	tinymce.PluginManager.add('pmill_csit_tmce_button', tinymce.plugins.pmill_csit_tmce_button);
	
})();