// See /modules/editor-without-external-dialog.php for dialog box
(function(){
	// creates the plugin
	tinymce.create('tinymce.plugins.pmill_csit_tmce_button', {
		init : function(ed, url) {			
			 tinymce.plugins.pmill_csit_tmce_button.theurl = url;
			 var plugin_name = pmill_csit_object.plugin_name;			 

			// Register buttons
			ed.addButton('pmill_csit_tmce_button', {
				title : plugin_name,
				type : 'button',
				tooltip: 'Add '+ plugin_name +' button',
				icon: 'mill-csit pmill-csit-upload-cloud',
			onclick: function() {
				/* For use on dialog
				ed.windowManager.open({
					//file : pluginurl + 'modules/editor-main-dialog.php', // file that contains HTML for our modal window
					id : 'pmill_csit_main_editor_dialog',
					width : 520, // size of our window
					height : 'auto',
					title : ed.getLang( plugin_name, plugin_name ),
					wpDialog : true,
				}, {
					//plugin_url : pluginurl;
				});
				*/
				ed.windowManager.open({
					title: 'Save This File',
					body: [{
						type: 'textbox',
						name: 'csit_file_url',
						size: '50',
						label: 'File URL'
					},
					{
						type: 'textbox',
						name: 'csit_button_no',
						size: '10',
						label: 'Button number'
					},
					{
						type: 'container',
						html: '<small style="font-size: 80%;">Enter 2 for 2nd button. 3 for 3rd button and so on.</small>'
					},
					{
						type: 'checkbox',
						name: 'csit_s3',
						label: 'Amazon S3 protected file'
					}
					],
					onsubmit: function(e) {
						ed.insertContent('[pm_cloudsaveit file="' + e.data.csit_file_url + '" id="' + e.data.csit_button_no + '" s3="' + e.data.csit_s3 + '"]');
					}
				});
			}
			});
		},		
		
		getInfo : function() {
			return {
				longname : 'Cloud Save It',
				author : 'Lynette Chandler',
				authorurl : 'http://techbasedmarketing.com',
				infourl : 'http://techbasedmarketing.com',
				version : tinymce.majorVersion + "." + tinymce.minorVersion
			};
		}
		
	});
	
	// registers the plugin. DON'T MISS THIS STEP!!!
	tinymce.PluginManager.add('pmill_csit_tmce_button', tinymce.plugins.pmill_csit_tmce_button);
	
})();