<?php
// this file contains the contents of the popup window
$wpdir = dirname(dirname(dirname(dirname(dirname(__FILE__)))));
include($wpdir.'/wp-load.php');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php echo PMILL_CSIT_PLUGIN_NAME; ?></title>
<link type="text/css" rel="stylesheet" media="all" href="<?php echo PMILL_CSIT_DIR; ?>modules/css/tinymce_button_dialog.css">
<script type="text/javascript" src="<?php echo PMILL_CSIT_WP_DIR; ?>/wp-includes/js/jquery/jquery.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo PMILL_CSIT_WP_DIR; ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
</head>
<body class="pmill-csit-popup">
	<div id="pmill-csit-dialog">
		<form action="/" method="get" accept-charset="utf-8">
			<table>
				<tr valign="top">
					<th scope="row"><label for="csit_file_url">File URL</label></th>
					<td>
						<input type="text" id="csit_file_url" class="csit_file_url" value="" />	
					</td>
				</tr>
				<tr>
					<th><label for="csit_button_no">Button number</label></th>
					<td>
						<input type="text" id="csit_button_no" class="csit_button_no" value="" />
					</td>
				</tr>
				<tr>
					<th>
						<label>Amazon S3 protected file</label>
					</th>
					<td>
						<input type="checkbox" id="csit_s3" class="csit_s3" value="true" /> <label for="csit_s3">Yes</label>
					</td>
				</tr>
				<tr>
					<td colspan="2">						
					<div id="submitbtn">
						<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed)" id="insert" style="display: block; line-height: 24px; text-decoration: none;">Insert</a>
					</div>
					</td>
				</tr>
			</table>
		</form>
	</div>

<script type="text/javascript">
var ButtonDialog = {
	local_ed : 'ed',
	init : function(ed) {
		ButtonDialog.local_ed = ed;
		tinyMCEPopup.resizeToInnerSize();
	},
	insert : function insertButton(ed) {
		// Try and remove existing style / blockquote
		//tinyMCEPopup.editor.execCommand('mceRemoveNode', false, null);
		 
		// set up variables to contain our input values
		var csit_file_url = jQuery('#pmill-csit-dialog input#csit_file_url').val();
		var csit_button_no = jQuery('#pmill-csit-dialog input#csit_button_no').val();
		var csit_s3 = jQuery('#csit_s3').prop('checked');
		console.log(csit_s3+', '+csit_file_url+', '+csit_button_no);
		 
		var output = '';
		
		// setup the output of our shortcode
			output += '[pm_cloudsaveit file="'+csit_file_url+'" id="'+csit_button_no+'" s3="'+csit_s3+'"';
			output += ']';
			
		tinyMCEPopup.editor.execCommand('mceInsertContent', false, output);
		 
		// Return
		tinyMCEPopup.close();
	}
};
tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);
 
</script>
</body>
</html>