<?php
/*
 * Add buttons to visual editor
 */
add_action( 'admin_init', 'pmill_csit_tmcebuttons' );
function pmill_csit_tmcebuttons($post) {
	
	// Don't bother if current user doesn't have permissions
	if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
     return;
	
	// Add only in rich editor mode
	if( get_user_option( 'rich_editing' ) == 'true' ) {
		global $typenow;
            if (empty($typenow) && !empty($_GET['post'])) {
                $post = get_post($_GET['post']);
                $typenow = $post->post_type;
			} elseif (empty($typenow) && !empty($_GET['post_type'])) {
                $typenow = $_GET['post_type'];
			}
	//if( 'spp_elp_sales' == $typenow || 'spp_elp_optin' == $typenow ) {
		add_filter('mce_external_plugins', 'pmill_csit_buttons_mce_plugin');
		add_filter( 'mce_buttons', 'pmill_csit_add_tmce_buttons' );
	//}
	}
}

function pmill_csit_add_tmce_buttons( $buttons ) {
    array_push( $buttons, '|', 'pmill_csit_tmce_button' );
    return $buttons;
}

/*
 * Bring in button
 */
 function pmill_csit_buttons_mce_plugin( $plugins ) {
 	$wpversion = get_bloginfo( 'version' );
	// this plugin file will work the magic of our button
	if( $wpversion > '3.8.4' ) {	
		$plugins['pmill_csit_tmce_button'] = PMILL_CSIT_DIR . 'modules/js/pmill-csit-dialog.js';
	} else {
		$plugins['pmill_csit_tmce_button'] = PMILL_CSIT_DIR . 'modules/js/pmill-csit-dialog-3.0.js';
	}
		return $plugins;
	}
?>