<?
/*
Plugin Name: Cloud Save It
Plugin URI: http://www.sellplrplugins.com
Description: Let your visitors save documents you define directly into their cloud storage account.
Version: 9.1.0.6
Author: Lynette Chandler
Author URI: http://techbasedmarketing.com
Stable tag: 9.1.0.6
*/
// Define constants
if(!defined('__DIR__')) {
    define( 'PMILL_CSIT_DIR', plugin_dir_url( __FILE__) );
    define( 'PMILL_CSIT_PATH', dirname( __FILE__) );
} else {
	define( 'PMILL_CSIT_DIR', WP_PLUGIN_URL.'/'.basename(__DIR__) );
	define( 'PMILL_CSIT_PATH', WP_PLUGIN_DIR.'/'.basename(__DIR__) );
}
define( 'PMILL_CSIT_WP_DIR', get_bloginfo('wpurl') );
define( 'PMILL_CSIT_PLUGIN_NAME', 'Cloud Save It' );
define( 'PMILL_CSIT_VERSION', '9.1.0.6' );
$pmill_csit_opts = get_option( 'pmill_csit_options' );

register_activation_hook( __FILE__, 'pmill_csit_activate' );
function pmill_csit_activate() {

 $pmill_csit_options = array(  
	'local_label' => 'Save To Local Drive',
	'dropbox_key' => '',
	's3access' => '',
	's3secret' => '',
	's3expiry' => '60',
	'rm_gdrive' => '0',
	//'del_opt_settings' =>  0,
  );
  if( !get_option('pmill_csit_options') ){
	update_option('pmill_csit_options', $pmill_csit_options );
  }

}

include('modules/settings.php');
include('modules/shortcode.php');
include('modules/scripts.php');
include('modules/editor.php');
?>